package com.qmth.qrzk.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.qmth.qrzk.repository.service.query.PaperBatchParams;
import com.qmth.qrzk.repository.service.query.PaperParams;
import com.qmth.qrzk.repository.user.model.PaperPaperBatch;

public interface IPaperPaperBatchDao {
	public void insert(PaperPaperBatch ppb);
	
	public int updateBatchIdWithPaperId(int batchId,int paperId);
	
	public List<PaperPaperBatch> findPaperIdByBatchId(int batchId);
	
	public int removeFromBatch(PaperParams pp);
	
	public int removePaperFromBatch(PaperParams pp);
	
	public PaperPaperBatch findPaperPaperBatch(int batchId,int paperId);
	
	public int updateInfo(PaperBatchParams pbp);
	
	public int updateRevocation(PaperBatchParams pbp);
	
	public void deleteByBatchId(@Param("batchId")int batchId);
	
	public void updateIsAnswerSheetReturn(PaperParams pp);
	
	public List<PaperPaperBatch> findPaperIdByIsStorageScanned(@Param("batchId")int batchId);
	
	public int getCountIsStorageScanned(PaperParams pp);
	public int getCountIsOutBoundScanned(PaperParams pp);
}
